Merge branch 'master' of feistymeow.org:feisty_meow
authorChris Koeritz <fred@gruntose.com>
Fri, 23 Mar 2012 00:24:09 +0000 (20:24 -0400)
committerChris Koeritz <fred@gruntose.com>
Fri, 23 Mar 2012 00:24:09 +0000 (20:24 -0400)
scripts/generator/vis_stu_vars.sh
scripts/rev_control/getem.sh [new file with mode: 0755]
scripts/rev_control/getme.sh [deleted file]

index e50e4c67ebdfd9e87d6a3a691e51e18bbfdc96ec..bb5dbc014b42339cd1deb84855a76f5773e5a240 100755 (executable)
@@ -59,7 +59,7 @@ export WindowsSdkDir="$PLATFORM_DIR"
 #echo platform dir is $PLATFORM_DIR
 
 #echo "path before is $PATH"
-#export PATH="$DevEnvDir:$VCINSTALLDIR/BIN:$VSxTOOLS:$VSxTOOLS/bin:$FrameworkDir/$FrameworkVersion:$FrameworkDir/v3.5:$VCINSTALLDIR/VCPackages:$VSINSTALLDIR/Common7/Tools:$PLATFORM_DIR/bin:$PATH"
+export PATH="$DevEnvDir:$VCINSTALLDIR/BIN:$VSxTOOLS:$VSxTOOLS/bin:$FrameworkDir/$FrameworkVersion:$FrameworkDir/v3.5:$VCINSTALLDIR/VCPackages:$VSINSTALLDIR/Common7/Tools:$PLATFORM_DIR/bin:$PATH"
 #hmmm: yuck!  wake me up when we don't need all of those in the path.
 #echo "path after is $PATH"
 
diff --git a/scripts/rev_control/getem.sh b/scripts/rev_control/getem.sh
new file mode 100755 (executable)
index 0000000..f493ddb
--- /dev/null
@@ -0,0 +1,92 @@
+#!/bin/bash
+
+# gets any updates for the repository folders present in the REPOSITORY_LIST variable.
+
+source "$FEISTY_MEOW_SCRIPTS/rev_control/rev_control.sh"
+
+# trickery to ensure we can always update this file, even when the operating system has some
+# rude behavior with regard to file locking (ahem, windows...).
+# and even more rudeness is that the pwd and $TMP may not always be in the same form,
+# which causes endless confusion and badness.  that's why we get the pwd reading for TMP
+# first so we can do an orange-to-orange compare.
+tmpdir="$(cd $TMP; \pwd)"
+if [ "$(\pwd)" != "$tmpdir" ]; then
+  if [ ! -z "$SHELL_DEBUG" ]; then
+    echo "Moving to the TMP directory to avoid file access conflicts..."
+  fi
+  new_name="$TMP/zz_$(basename $0)"
+  cp -f "$0" "$new_name"
+  if [ $? -ne 0 ]; then
+    echo "failed to copy this script up to the TMP directory.  exploit attempted?"
+    exit 1
+  fi
+  cd "$TMP"
+  chmod a+x "$new_name"
+  exec "$new_name"
+fi
+
+# selects the checkout method based on where we are (the host the script runs on).
+function do_update()
+{
+  directory="$1"; shift
+
+  if [ -d "CVS" ]; then
+    cvs update .
+  elif [ -d ".svn" ]; then
+    svn update .
+  elif [ -d ".git" ]; then
+    git pull
+  else
+    echo unknown repository for $directory...
+  fi
+}
+
+# gets all the updates for a list of folders under revision control.
+function checkout_list {
+  list=$*
+  for i in $list; do
+    # turn repo list back into an array.
+    eval "repository_list=( ${REPOSITORY_LIST[*]} )"
+    for j in "${repository_list[@]}"; do
+      # add in the directory for our purposes here.
+      j="$i/$j"
+      if [ ! -d $j ]; then
+        if [ ! -z "$SHELL_DEBUG" ]; then
+          echo "No directory called $j exists."
+        fi
+        continue
+      fi
+
+      pushd $j &>/dev/null
+      echo -n "retrieving '$j'...  "
+      do_update $j
+      popd &>/dev/null
+    done
+  done
+}
+
+##############
+
+export TMPO_CHK=$TMP/zz_chk.log
+
+rm -f "$TMPO_CHK"
+
+# perform the checkouts as appropriate per OS.
+if [ "$OS" != "Windows_NT" ]; then
+  checkout_list $HOME 2>&1 | tee -a "$TMPO_CHK"
+else
+  checkout_list $HOME c:/ d:/ e:/ 2>&1 | tee -a "$TMPO_CHK"
+fi
+
+less $TMPO_CHK
+
+##############
+
+# we now regenerate the scripts after getme, to ensure it's done automatically.
+bash "$FEISTY_MEOW_SCRIPTS/core/bootstrap_shells.sh"
+perl "$FEISTY_MEOW_SCRIPTS/core/generate_aliases.pl"
+echo
+nechung
+
+##############
+
diff --git a/scripts/rev_control/getme.sh b/scripts/rev_control/getme.sh
deleted file mode 100755 (executable)
index f493ddb..0000000
+++ /dev/null
@@ -1,92 +0,0 @@
-#!/bin/bash
-
-# gets any updates for the repository folders present in the REPOSITORY_LIST variable.
-
-source "$FEISTY_MEOW_SCRIPTS/rev_control/rev_control.sh"
-
-# trickery to ensure we can always update this file, even when the operating system has some
-# rude behavior with regard to file locking (ahem, windows...).
-# and even more rudeness is that the pwd and $TMP may not always be in the same form,
-# which causes endless confusion and badness.  that's why we get the pwd reading for TMP
-# first so we can do an orange-to-orange compare.
-tmpdir="$(cd $TMP; \pwd)"
-if [ "$(\pwd)" != "$tmpdir" ]; then
-  if [ ! -z "$SHELL_DEBUG" ]; then
-    echo "Moving to the TMP directory to avoid file access conflicts..."
-  fi
-  new_name="$TMP/zz_$(basename $0)"
-  cp -f "$0" "$new_name"
-  if [ $? -ne 0 ]; then
-    echo "failed to copy this script up to the TMP directory.  exploit attempted?"
-    exit 1
-  fi
-  cd "$TMP"
-  chmod a+x "$new_name"
-  exec "$new_name"
-fi
-
-# selects the checkout method based on where we are (the host the script runs on).
-function do_update()
-{
-  directory="$1"; shift
-
-  if [ -d "CVS" ]; then
-    cvs update .
-  elif [ -d ".svn" ]; then
-    svn update .
-  elif [ -d ".git" ]; then
-    git pull
-  else
-    echo unknown repository for $directory...
-  fi
-}
-
-# gets all the updates for a list of folders under revision control.
-function checkout_list {
-  list=$*
-  for i in $list; do
-    # turn repo list back into an array.
-    eval "repository_list=( ${REPOSITORY_LIST[*]} )"
-    for j in "${repository_list[@]}"; do
-      # add in the directory for our purposes here.
-      j="$i/$j"
-      if [ ! -d $j ]; then
-        if [ ! -z "$SHELL_DEBUG" ]; then
-          echo "No directory called $j exists."
-        fi
-        continue
-      fi
-
-      pushd $j &>/dev/null
-      echo -n "retrieving '$j'...  "
-      do_update $j
-      popd &>/dev/null
-    done
-  done
-}
-
-##############
-
-export TMPO_CHK=$TMP/zz_chk.log
-
-rm -f "$TMPO_CHK"
-
-# perform the checkouts as appropriate per OS.
-if [ "$OS" != "Windows_NT" ]; then
-  checkout_list $HOME 2>&1 | tee -a "$TMPO_CHK"
-else
-  checkout_list $HOME c:/ d:/ e:/ 2>&1 | tee -a "$TMPO_CHK"
-fi
-
-less $TMPO_CHK
-
-##############
-
-# we now regenerate the scripts after getme, to ensure it's done automatically.
-bash "$FEISTY_MEOW_SCRIPTS/core/bootstrap_shells.sh"
-perl "$FEISTY_MEOW_SCRIPTS/core/generate_aliases.pl"
-echo
-nechung
-
-##############
-